Skip to main content
GET
/
api
/
customer
List customers
curl --request GET \
  --url https://api.suby.fi/api/customer \
  --header 'X-Suby-Api-Key: <api-key>'
{
  "success": true,
  "data": {
    "data": [
      {
        "id": "clx_abc123",
        "email": "customer@example.com",
        "name": "John Doe",
        "totalPayments": 5,
        "createdAt": "2026-01-15T10:30:00.000Z",
        "updatedAt": "2026-03-01T14:00:00.000Z"
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 25,
      "total": 42,
      "totalPages": 2
    }
  }
}

Authorizations

X-Suby-Api-Key
string
header
required

API key authentication. Include your API key in the X-Suby-Api-Key header:

X-Suby-Api-Key: your_api_key_here

Query Parameters

page
integer
default:1

Page number for pagination (starts at 1)

Required range: x >= 1
limit
integer
default:25

Number of results per page (maximum 25)

Required range: 1 <= x <= 25

Response

Customers retrieved successfully

success
boolean
Example:

true

data
object